pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
configuration_st Struct Reference

`#include <pam_config.h>`

## Data Fields

const char * | config_file
scconf_context * | ctx
int | debug
int | nullok
int | try_first_pass
int | use_first_pass
int | use_authok
int | card_only
int | wait_for_card
const char * | pkcs11_module
const char * | pkcs11_modulepath
const char ** | screen_savers
const char * | slot_description
int | slot_num
int | support_threads
cert_policy | policy
const char * | token_type
const char * | username
int | quiet
int | err_display_time

## Detailed Description

Definition at line 28 of file pam_config.h.

## Field Documentation

int card_only

Definition at line 36 of file pam_config.h.

const char* config_file

Definition at line 29 of file pam_config.h.

scconf_context* ctx

Definition at line 30 of file pam_config.h.

int debug

Definition at line 31 of file pam_config.h.

int err_display_time

Definition at line 48 of file pam_config.h.

int nullok

Definition at line 32 of file pam_config.h.

const char* pkcs11_module

Definition at line 38 of file pam_config.h.

const char* pkcs11_modulepath

Definition at line 39 of file pam_config.h.

cert_policy policy

Definition at line 44 of file pam_config.h.

int quiet

Definition at line 47 of file pam_config.h.

const char** screen_savers

Definition at line 40 of file pam_config.h.

const char* slot_description

Definition at line 41 of file pam_config.h.

int slot_num

Definition at line 42 of file pam_config.h.

int support_threads

Definition at line 43 of file pam_config.h.

const char* token_type

Definition at line 45 of file pam_config.h.

int try_first_pass

Definition at line 33 of file pam_config.h.

int use_authok

Definition at line 35 of file pam_config.h.

int use_first_pass

Definition at line 34 of file pam_config.h.

const char* username

Definition at line 46 of file pam_config.h.

int wait_for_card

Definition at line 37 of file pam_config.h.

The documentation for this struct was generated from the following file:

- pam_config.h